Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.query
Class Args

    java.lang.Object
      |
      +--kodo.jdbc.query.Args

All Implemented Interfaces:
  Args, Val, Value

public class Args
extends Object
implements Args, Val

A list of arguments to a multi-argument function.

Constructor Summary
`Args(Val val1, Val val2)` Constructor.

Method Summary
`void` | `appendIsEmpty(SQLBuffer sql, Select sel, JDBCStoreManager store, Object[] params, JDBCFetchConfiguration fetch)` Append the SQL testing whether this value is empty to the given buffer.
`void` | `appendIsNotNull(SQLBuffer sql, Select sel, JDBCStoreManager store, Object[] params, JDBCFetchConfiguration fetch)` Append the SQL testing whether this value is not null to the given buffer.
`void` | `appendIsNull(SQLBuffer sql, Select sel, JDBCStoreManager store, Object[] params, JDBCFetchConfiguration fetch)` Append the SQL testing whether this value is null to the given buffer.
`void` | `appendTo(SQLBuffer sql, int index, Select sel, JDBCStoreManager store, Object[] params, JDBCFetchConfiguration fetch)` Append the `index`th SQL element to the given buffer.
`void` | `calculateValue(Select sel, JDBCStoreManager store, Object[] params, Val other, JDBCFetchConfiguration fetch)` Calculate and cache the SQL for this value.
`void` | `clearParameters()` Clear parameter values held by this value or its subcomponents.
`Value[]` | `getArgs()` The values that this args list represents.
`Object` | `getDataStoreValue(Object val, JDBCStoreManager store)` Return the datastore value of the given object in the context of this value.
`Joins` | `getJoins()` Return the joins for this value.
`ClassMetaData` | `getMetaData()` Return any associated persistent type.
`Class` | `getType()` Return the expected type for this value, or `Object` if the type is unknown.
`Class[]` | `getTypes()`
`Val[]` | `getVals()`
`boolean` | `hasVariable(kodo.jdbc.query.Variable var)` Return true if this value uses the given variable.
`void` | `initialize(Select sel, JDBCStoreManager store, boolean nullTest)` Initialize the value.
`boolean` | `isVariable()` Return true if this value is a variable.
`int` | `length()` Return the number of SQL elements in this value.
`Object` | `load(Result res, JDBCStoreManager store, JDBCFetchConfiguration fetch)` Load the data for this value.
`void` | `select(Select sel, JDBCStoreManager store, Object[] params, boolean pks, JDBCFetchConfiguration fetch)` Select the data for this value.
`void` | `selectColumns(Select sel, JDBCStoreManager store, Object[] params, boolean pks, JDBCFetchConfiguration fetch)` Select just the columns for this value.
`void` | `setImplicitType(Class type)` Set the implicit type of the value, based on how it is used in the filter.
`void` | `setMetaData(ClassMetaData meta)` Associate a persistent type with this value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Args

    public Args(Val val1,
                Val val2)

  Constructor. Supply values being combined.

Method Detail

### getVals

    public Val[] getVals()

### getArgs

    public Value[] getArgs()

  Description copied from interface: `Args`
  The values that this args list represents.
  Specified by:
    `getArgs` in interface `Args`

### getMetaData

    public ClassMetaData getMetaData()

  Description copied from interface: `Value`
  Return any associated persistent type.
  Specified by:
    `getMetaData` in interface `Value`

### setMetaData

    public void setMetaData(ClassMetaData meta)

  Description copied from interface: `Value`
  Associate a persistent type with this value.
  Specified by:
    `setMetaData` in interface `Value`

### isVariable

    public boolean isVariable()

  Description copied from interface: `Value`
  Return true if this value is a variable.
  Specified by:
    `isVariable` in interface `Value`

### getType

    public Class getType()

  Description copied from interface: `Value`
  Return the expected type for this value, or `Object` if the type is unknown.
  Specified by:
    `getType` in interface `Value`

### getTypes

    public Class[] getTypes()

### setImplicitType

    public void setImplicitType(Class type)

  Description copied from interface: `Value`
  Set the implicit type of the value, based on how it is used in the filter. This method is only called on values who return `Object` from `Value.getType()`.
  Specified by:
    `setImplicitType` in interface `Value`

### initialize

    public void initialize(Select sel,
                           JDBCStoreManager store,
                           boolean nullTest)

  Description copied from interface: `Val`
  Initialize the value. This method should recursively initialize any sub-values. It should also cache the `Joins` instance containing the joins for this value. No additional joins should be made after this call. The parent expression might modify these joins during its own initialization so that common joins are moved up the expression tree. These joins should not be included in the SQL appended through any of the `append` methods.
  Specified by:
    `initialize` in interface `Val`
  Following copied from interface: `kodo.jdbc.query.Val`
  Parameters:
    `sel` - used to create `Joins` instances
    `store` - the store manager for the query
    `nullTest` - if true, then this value will be compared to null or tested for emptiness

### getJoins

    public Joins getJoins()

  Description copied from interface: `Val`
  Return the joins for this value. These joins should be created and cached during the `Val.initialize(kodo.jdbc.sql.Select, kodo.jdbc.runtime.JDBCStoreManager, boolean)` method. The parent expression might modify these joins during its own initialization so that common joins are moved up the expression tree.
  Specified by:
    `getJoins` in interface `Val`

### getDataStoreValue

    public Object getDataStoreValue(Object val,
                                    JDBCStoreManager store)

  Description copied from interface: `Val`
  Return the datastore value of the given object in the context of this value.
  Specified by:
    `getDataStoreValue` in interface `Val`

### select

    public void select(Select sel,
                       JDBCStoreManager store,
                       Object[] params,
                       boolean pks,
                       JDBCFetchConfiguration fetch)

  Description copied from interface: `Val`
  Select the data for this value.
  Specified by:
    `select` in interface `Val`

### selectColumns

    public void selectColumns(Select sel,
                              JDBCStoreManager store,
                              Object[] params,
                              boolean pks,
                              JDBCFetchConfiguration fetch)

  Description copied from interface: `Val`
  Select just the columns for this value.
  Specified by:
    `selectColumns` in interface `Val`

### load

    public Object load(Result res,
                       JDBCStoreManager store,
                       JDBCFetchConfiguration fetch)

  Description copied from interface: `Val`
  Load the data for this value.
  Specified by:
    `load` in interface `Val`

### hasVariable

    public boolean hasVariable(kodo.jdbc.query.Variable var)

  Description copied from interface: `Val`
  Return true if this value uses the given variable.
  Specified by:
    `hasVariable` in interface `Val`

### calculateValue

    public void calculateValue(Select sel,
                               JDBCStoreManager store,
                               Object[] params,
                               Val other,
                               JDBCFetchConfiguration fetch)

  Description copied from interface: `Val`
  Calculate and cache the SQL for this value. This method is called before `length` or any `append` methods.
  Specified by:
    `calculateValue` in interface `Val`
  Following copied from interface: `kodo.jdbc.query.Val`
  Parameters:
    `other` - the value being compared to, or null if not a comparison

### clearParameters

    public void clearParameters()

  Description copied from interface: `Val`
  Clear parameter values held by this value or its subcomponents. This method is called sometime after `calculateValue`.
  Specified by:
    `clearParameters` in interface `Val`

### length

    public int length()

  Description copied from interface: `Val`
  Return the number of SQL elements in this value.
  Specified by:
    `length` in interface `Val`

### appendTo

    public void appendTo(SQLBuffer sql,
                         int index,
                         Select sel,
                         JDBCStoreManager store,
                         Object[] params,
                         JDBCFetchConfiguration fetch)

  Description copied from interface: `Val`
  Append the `index`th SQL element to the given buffer.
  Specified by:
    `appendTo` in interface `Val`

### appendIsEmpty

    public void appendIsEmpty(SQLBuffer sql,
                              Select sel,
                              JDBCStoreManager store,
                              Object[] params,
                              JDBCFetchConfiguration fetch)

  Description copied from interface: `Val`
  Append the SQL testing whether this value is empty to the given buffer.
  Specified by:
    `appendIsEmpty` in interface `Val`

### appendIsNull

    public void appendIsNull(SQLBuffer sql,
                             Select sel,
                             JDBCStoreManager store,
                             Object[] params,
                             JDBCFetchConfiguration fetch)

  Description copied from interface: `Val`
  Append the SQL testing whether this value is null to the given buffer.
  Specified by:
    `appendIsNull` in interface `Val`

### appendIsNotNull

    public void appendIsNotNull(SQLBuffer sql,
                                Select sel,
                                JDBCStoreManager store,
                                Object[] params,
                                JDBCFetchConfiguration fetch)

  Description copied from interface: `Val`
  Append the SQL testing whether this value is not null to the given buffer.
  Specified by:
    `appendIsNotNull` in interface `Val`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.